Subject: Re: bug#598: 23.0.60; frame size issue (--geometry or default-frame-alist) when using customized default face

From: "Tim Van Holder" <[email-masked]>
Date: Mon, 29 Sep 2008 11:13:35 +0200

On Mon, Sep 29, 2008 at 10:52 AM, martin rudalics <[email-masked]> wrote:
>> I still get it with a CVS build of 15 minutes ago.
>> 4 consecutive runs of emacs (with 132x60 set via customize) resulted in
>> windows that were 132x57, 112x55, 132x69 and 175x61 in size.
>> As before (new-frame) always results in a correctly sized frame - it's
>> only
>> the initial frame that shows the problem.
>
> Does the erratic behavior change when you disable toolbars,
> for example, by doing
>
> (add-to-list 'default-frame-alist '(tool-bar-lines . 0))
>
> in your .emacs?

No (I used customize-variable to set tool-bar-lines to 0 instead of the 1 that
was already there). The behaviour was still incorrect (although the window
sizes I got were not "typical" ones (I got 112x47 and 112x58, whereas before
112x55 was much more common).
I noticed that emacs still ended up with a toolbar, so I set tool-bar-lines to 0
in initial-frame-alist too, which made the toolbar go away, but had no effect
on the erratic sizing either.